Page MenuHomePhabricator

CX2: Some links don't get saved
Closed, ResolvedPublicBUG REPORT

Description

In Content Translation, user modifications on the translation are expected to be saved automatically. However, there are several circumstances in which users can do some modifications, go back to the dashboard and those modifications are lost when going back to the translation.

Problematic cases:

Adding links to the last edited paragraph. Adding links (using any means to do so) does not mark the document as "dirty" or trigger the saving process. Thus, if that is the last action the user does before leaving the document, the changes are lost.

Adding links in certain ways even if saving gets triggered. Adding an additional paragraph after the link manipulations may result in the modifications to be saved. But that seems to work only when links were added in a certain way. Links added with the preview card, and links marked as missing are not persisted unless another link is added using the link tool from the toolbar.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2018, 2:00 PM
Pginer-WMF triaged this task as Medium priority.Aug 6 2018, 2:01 PM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-July-September board.
Petar.petkovic changed the subtype of this task from "Task" to "Bug Report".Feb 28 2019, 3:41 PM

Adding links triggers saving now, in both cases: 1) When such action is last before leaving the document and 2) When new paragraphs are being added after link is added to the previously edited section. All the means of adding links mark the translation as ready for saving. Marking links as missing also triggers saving and works correctly. User added links use the native VE link context item when the translation is restored, which is filed as T217538.

Etonkovidova closed this task as Resolved.Mar 15 2019, 11:38 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.21 the scenarios that @Petar.petkovic has listed in his comment - inserted/modified links are saved.